VSTGUI: CView::Impl Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Attributes | Static Public Attributes | List of all members
CView::Impl Struct Reference

## Public Types
using | ViewAttributes = std::unordered_map<CViewAttributeID, std::unique_ptr<CViewInternal::AttributeEntry>>
using | ViewListenerDispatcher = DispatchList<IViewListener*>
using | ViewEventListenerDispatcher = DispatchList<IViewEventListener*>
using | ViewMouseListenerDispatcher = DispatchList<IViewMouseListener*>

## Public Attributes
ViewAttributes | attributes
std::unique_ptr< ViewListenerDispatcher > | viewListeners
std::unique_ptr< ViewEventListenerDispatcher > | viewEventListeners
std::unique_ptr< ViewMouseListenerDispatcher > | viewMouseListener
CRect | size
int32_t | viewFlags {0}
int32_t | autosizeFlags {kAutosizeNone}
CFrame * | parentFrame {nullptr}
CView * | parentView {nullptr}
uint64_t | runtimeID {++gRuntimeID}

## Static Public Attributes
static uint64_t | gRuntimeID = 0u

## Member Typedef Documentation

## ◆ ViewAttributes

using ViewAttributes = std::unordered_map<CViewAttributeID, std::unique_ptr<CViewInternal::AttributeEntry>>

## ◆ ViewEventListenerDispatcher

using ViewEventListenerDispatcher = DispatchList<IViewEventListener*>

## ◆ ViewListenerDispatcher

using ViewListenerDispatcher = DispatchList<IViewListener*>

## ◆ ViewMouseListenerDispatcher

using ViewMouseListenerDispatcher = DispatchList<IViewMouseListener*>

## Member Data Documentation

## ◆ attributes

ViewAttributes attributes

## ◆ autosizeFlags

int32_t autosizeFlags {kAutosizeNone}

## ◆ gRuntimeID

uint64_t gRuntimeID = 0u
| static

## ◆ parentFrame

CFrame* parentFrame {nullptr}

## ◆ parentView

CView* parentView {nullptr}

## ◆ runtimeID

uint64_t runtimeID {++gRuntimeID}

## ◆ size

CRect size

## ◆ viewEventListeners

std::unique_ptr<ViewEventListenerDispatcher> viewEventListeners

## ◆ viewFlags

int32_t viewFlags {0}

## ◆ viewListeners

std::unique_ptr<ViewListenerDispatcher> viewListeners

## ◆ viewMouseListener

std::unique_ptr<ViewMouseListenerDispatcher> viewMouseListener

The documentation for this struct was generated from the following file:

- cview.cpp